@if (row) {
  <div
    [class.__hover_pointer]="this.isEditable()"
    class="sqtm-grid-cell-txt-renderer full-height flex-column p-r-5- default-cell-width"
    (click)="showTemplate()"
  >
    @if (row.projectId && getProject(row.projectId) | async; as projectData) {
      @if (!asyncOperationRunning) {
        <span
          nz-tooltip
          class="txt-ellipsis"
          [ngClass]="textClass"
          [sqtmCoreLabelTooltip]="
            getValue(projectData, row.data[columnDisplay.id])
          "
          #infoListItemRef
        >
          {{ getValue(projectData, row.data[columnDisplay.id]) }}
        </span>
      } @else {
        <span
          style="margin: auto"
          class="current-workspace-main-color table-icon-size"
        >
          <i nz-icon nzType="loading" nzTheme="outline"></i>
        </span>
      }
      <ng-template #templatePortalContent>
        <sqtm-core-list-panel
          [selectedItem]="row.data[columnDisplay.id]"
          (itemSelectionChanged)="change($event)"
          [items]="getListPanelItems(projectData)"
        ></sqtm-core-list-panel>
      </ng-template>
    } @else {
      <span [ngClass]="textClass">-</span>
    }
  </div>
}
